Bug 1123940 - Storage pools on CIFS share not initialized on boot due to network not being up in time
Summary: Storage pools on CIFS share not initialized on boot due to network not being ...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: libvirt
Version: 21
Hardware: All
OS: All
unspecified
medium
Target Milestone: ---
Assignee: Libvirt Maintainers
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-28 17:05 UTC by Adam Williamson
Modified: 2015-11-04 20:51 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-11-04 20:51:43 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1123942 None None None Never

Internal Links: 1123942

Description Adam Williamson 2014-07-28 17:05:25 UTC
For the last week or two on Fedora 21, none of my storage pools have been started on boot, despite being configured to.

I believe this is related to them all being on a CIFS share (/share/data ). On boot I have these messages in journal:

Jul 28 07:46:33 adam.happyassassin.net libvirtd[1497]: libvirt version: 1.2.6, package: 2.fc21 (Fedora Project, 2014-07-23-09:01:58, buildvm-03.phx2.fedoraproject.org)
Jul 28 07:46:33 adam.happyassassin.net libvirtd[1497]: cannot open path '/share/data/isos/RH7': No such device
Jul 28 07:46:33 adam.happyassassin.net libvirtd[1497]: Failed to autostart storage pool 'RH7': cannot open path '/share/data/isos/RH7': No such device
Jul 28 07:46:33 adam.happyassassin.net libvirtd[1497]: cannot open path '/share/data/isos/20': No such device
Jul 28 07:46:33 adam.happyassassin.net libvirtd[1497]: Failed to autostart storage pool '20': cannot open path '/share/data/isos/20': No such device
Jul 28 07:46:33 adam.happyassassin.net libvirtd[1497]: cannot open path '/share/data/isos/19': No such device
Jul 28 07:46:33 adam.happyassassin.net libvirtd[1497]: Failed to autostart storage pool '19': cannot open path '/share/data/isos/19': No such device
Jul 28 07:46:33 adam.happyassassin.net libvirtd[1497]: cannot open path '/share/data/isos': No such device
Jul 28 07:46:33 adam.happyassassin.net libvirtd[1497]: Failed to autostart storage pool 'isos': cannot open path '/share/data/isos': No such device
Jul 28 07:46:33 adam.happyassassin.net libvirtd[1497]: cannot open path '/share/data/isos/vms': No such device
Jul 28 07:46:33 adam.happyassassin.net libvirtd[1497]: Failed to autostart storage pool 'NAS': cannot open path '/share/data/isos/vms': No such device

This may have started when I set up bridging, actually (as it means my network takes longer to come up at boot).

I believe having After=network-online.target , not After=network.target , in libvirtd.service would help with this, but I'm not sure if it may be undesirable in other configurations. If so, perhaps libvirtd could try again to bring up storage pools on network shares later, if they fail at first try?

Comment 1 Cole Robinson 2014-07-28 17:21:58 UTC
Adding a network-online dep would likely fix most instances of bug 867546 as well, but there could be downsides. Someone would need to test

Comment 2 Fedora End Of Life 2015-11-04 15:17:00 UTC
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Adam Williamson 2015-11-04 20:51:43 UTC
There's an "After=remote-fs.target" in libvirtd now, and I don't *think* I've seen this bug lately. Let's call it good.


Note You need to log in before you can comment on or make changes to this bug.